/**
  ******************************************************************************
  * @file    led.h
  * @author  Marko Pavlin S54MTB
  * @version V1.0.0
  * @date    December-2015
  * @brief   Header for led.c module
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; COPYRIGHT(c) 2015 S54mtb</center></h2>
  *
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __LED_H
#define __LED_H

/* Includes ------------------------------------------------------------------*/
#include "main.h"


extern void     LED_Initialize   (void);
extern void     LED_Uninitialize (void);
extern uint32_t LED_Num          (void);
extern void 		LED_SetIntens (uint32_t num, uint8_t intens);
extern void hsb2rgb(uint16_t index, uint8_t sat, uint8_t bright, uint8_t *color_r, uint8_t *color_g, uint8_t *color_b ) ;

enum
{
		LED_1B, //	PB11
		LED_1R, //	PB15
		LED_1G, //	PC6
		LED_2B, //	PB11
		LED_2R, //	PB15
		LED_2G, //	PC6
		LED_3B, //	PB11
		LED_3R, //	PB15
		LED_3G, //	PC6
		LED_4B, //	PC9
		LED_4R, //	PC8
		LED_4G, //	PC7
		LED_LAST
};

// LED settings
typedef struct  
{
  uint8_t led_intensity[LED_LAST];     // current intensity
} led_settings_t ;

/// LED GPIO Pin identifier
typedef struct _LED_GPIO_PIN_ID {
  GPIO_TypeDef *port;
  uint16_t       num;
} LED_GPIO_PIN_ID;





#endif /* __LED_H */


